PROGRAM_NAME='ARQ Main v5_0_1'

DEFINE_VARIABLE
#if_defined dvARQ1
ARQ_COMM_DATA ARQ_COMM_1
#end_if

#if_defined dvARQ2
ARQ_COMM_DATA ARQ_COMM_2
#end_if

#if_defined dvARQ3
ARQ_COMM_DATA ARQ_COMM_3
#end_if


DEV ARQ_UNITS[] = {vdvARQ1_1    //ARQ 1
                  ,vdvARQ1_2    //ARQ 1
                  ,vdvARQ1_3    //ARQ 1
                  ,vdvARQ1_4    //ARQ 1
                  ,vdvARQ2_0    //ARQ 2
                  ,vdvARQ3_0    //ARQ 3
                  };

DEFINE_START

/**********************************************************************
 Between the #if_defined and #end_if below, set the IP Address and
 IP Port used to communicate with the AudioReQuest.  You can find
 the IP Address by going to Menu->System Information on the AudioReQuest
 GUI.  The Control Port is always 3663 and the Web Port is always 80
 unless you know you've changed it through the Webserver.
 
 If you choose to use serial control, set the Baud Rate to 9600 or 57600
 (use 9600 for single zone boxes and 57600 for multi zone F.Series boxes)
 You will still need an IP address in order to display the cover art images
 over IP.  If this is not possible, you may set it to '0.0.0.0'.
 **NOTE:  Be sure that your serial cable is a Female->Female,
          NULL Modem cable with ONLY pins 2,3,5 connected in the following
          configuration:
              ARQ      AMX
               2  <-->  3
               3  <-->  2
               5  <-->  5
**********************************************************************/
#if_defined dvARQ1
ARQ_COMM_1.BAUD_RATE = 0;
ARQ_COMM_1.IP_ADDRESS = '0.0.0.0'
ARQ_COMM_1.CTRL_PORT = 3663;
ARQ_COMM_1.WEB_PORT = '80';
#end_if

#if_defined dvARQ2
ARQ_COMM_2.BAUD_RATE = 0;
ARQ_COMM_2.IP_ADDRESS = '0.0.0.0'
ARQ_COMM_2.CTRL_PORT = 3663;
ARQ_COMM_2.WEB_PORT = '80';
#end_if

#if_defined dvARQ3
ARQ_COMM_3.BAUD_RATE = 0;
ARQ_COMM_3.IP_ADDRESS = '0.0.0.0'
ARQ_COMM_3.CTRL_PORT = 3663;
ARQ_COMM_3.WEB_PORT = '80';
#end_if
